# NOTE: Derived from blib/lib/OpaL/manipulate.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package OpaL::manipulate;

#line 208 "blib/lib/OpaL/manipulate.pm (autosplit into blib/lib/auto/OpaL/manipulate/perlmodify_insertafter.al)"
###############################################################################
# Name:		perlmodify_insertafter
# Description:	Mdifiles a (text)file with the help of a perl-script.
#		eg. perl -pi -e script file.
# Arguments:	$file, $find, $text, $message [, $level ]
# Uses:		perlmodify
# Author:	Ola Lundqvist <ola@inguza.com>
# Date:		2000-05-04
#		2000-06-04	Fixed so that insert after do not make
#				repeated inserts. (never ever)
#		2000-06-29	Added argument definition.
###############################################################################
sub perlmodify_insertafter {#($$$$;$) {
    my $file = shift;
    my $find = shift;
    my $insert = shift;
    $insert =~ s/\$/\\\$/g;
    $insert =~ s/\n$//;
    my $message = shift;
    my $level = shift;
    my $data = &readscalarfile("$file");
    my $test = "$find$insert";
    $data =~ s/\$//g;
    $test =~ s/\$//g;
    $data =~ s/\*//g;
    $test =~ s/\*//g;
    $data =~ s/\+//g;
    $test =~ s/\+//g;
    $data =~ s/\-//g;
    $test =~ s/\-//g;
    $data =~ s/\@//g;
    $test =~ s/\@//g;
    $data =~ s/\%//g;
    $test =~ s/\%//g;
    $data =~ s/\n//g;
    $test =~ s/\n//g;
    $data =~ s/\///g;
    $test =~ s/\///g;
    $data =~ s/\(//g;
    $test =~ s/\(//g;
    $data =~ s/\)//g;
    $test =~ s/\)//g;
    $data =~ s/\[//g;
    $test =~ s/\]//g;
    $data =~ s/\.//g;
    $test =~ s/\.//g;
    $data =~ s/\s+/ /g;
    $test =~ s/\s+/ /g;
    if ($data !~ /$test/) {
	&perlmodify("$file",
		    "s|($find)|\$1$insert|",
		    $message,
		    $level);
    }
    else {
	pdebug(5, "Information already exists.");
    }
}

1;
# end of OpaL::manipulate::perlmodify_insertafter
